Subject: Re: Q: bad routing table cache entries

From: Sowmini Varadhan <[email-masked]>
Date: Tue, 12 Jan 2016 09:47:25 -0500

On (01/12/16 17:40), Stas Sergeev wrote:
> Updated testing results:
> After I disabled shared_media not only for "all", but
> also for _all_ interfaces individually, the problem seem to
> have stopped. So thanks for these hints.
> Now, as the media is actually really shared (same NIC/cable),
> I just wonder what's going on here.

I dont know the history of the shared_media tunable (or
the rationale behind the default) - I was just reading out the
code - perhaps someone on the list who has the history can share 
the motivation behind this tunable.

> And unfortunately we still don't know why these redirects are
> ever accepted...

I would guess that it is accepted because there is nothing
(no RFC chapter/verse) saying it should not. 

But the fact remains that the network is sub-optimally configured-
each packet that triggers the redirect is now amplified at the 
router - one copy gets forwarded, and one redirect gets sent back. 

--Sowmini